On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteThe unique external identifier of the subscription
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions/5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"{
"name": "API Count Usage Subscription1",
"external_customer_id": "CUSTOMER_1752766931284",
"external_id": "SUB_1752779018503",
"plan_code": "PLAN_CODE_1752694759534",
"billing_time": "CALENDAR",
"status": "ACTIVE",
"plan_overrides": {
"amount": {
"value": 0.2,
"currency_code": "USD"
},
"name": "Basic API Plan",
"trial_period": 14,
"charges": [
{
"id": "99fa7a6b-d005-43a5-8bab-0df7a2a721fb",
"metric_id": "2e097d19-1350-4baf-8add-5d19ecef8113",
"charge_model": "STANDARD",
"properties": {
"amount": "0.01"
},
"min_amount": {
"value": 200,
"currency_code": "USD"
}
}
]
},
"start_date": "2025-07-17T19:03:47Z",
"created_at": "2025-07-30T01:54:40Z",
"current_period_start": "2025-07-17T19:03:47Z",
"current_period_end": "2025-07-31T23:59:59Z",
"trial_ended_at": "2025-07-31T19:03:47Z",
"id": "073a0619-f59c-4e7c-8dd4-02c83e583105"
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}